;;; -*- Coding: utf-8 -*- 
(in-package "MRS")

(setf *sem-relation-suffix* "_rel")

(setf *value-feats* `(,(vsym "CARG")))

(setf *feat-priority-list*  
  `( ,(vsym "LTOP") ,(vsym "INDEX") ,(vsym "LBL")
     ,(vsym "ARG0") ,(vsym "ARG1") ,(vsym "ARG2") ,(vsym "ARG3") ,(vsym "ARG4") 
     ,(vsym "RSTR") ,(vsym "BODY")
     ,(vsym "MARG") ,(vsym "CARG")
     ))

(setf *ignored-sem-features* ())

(setf *ignored-sem-features* 
  (append *ignored-sem-features* 
	  `( ,(vsym "PARAMS") 
	     ,(vsym "WLINK") 
	     ,(vsym "VTYPE") 
	     ,(vsym "ORD") 
	     ,(vsym "DAY") 
	     ,(vsym "MONTH")
	     ,(vsym "DIM")
	     ,(vsym "NAMED")
	     ,(vsym "VREF")
	     ,(vsym "VALUE")
	     ,(vsym "PSORT")
	     ,(vsym "PCASE")     
	     ,(vsym "CFROM")
	     ,(vsym "CTO")
 )))

(setf *scoping-ignored-roles* (list (vsym "TPC") 
				    (vsym "PSV")
				    (vsym "--RELI")
				    (vsym "--ARG0")
			       ))

(setf *ignored-extra-features* 
  (append
   *ignored-extra-features*
   (list (vsym "SORT")
	 (vsym "_PER")
	 (vsym "INSTLOC")
	 )))


(setf *ignored-extra-features* 
  (cons (vsym "MSORT") *ignored-extra-features*))



;(setf *top-level-rel-types*  `(
;			       ,(vsym "named_rel") 
;			       ,(vsym "pron_rel") 
;			       ,(vsym "def_rel")))

(setf *top-level-rel-types*  nil)


;;; features for extracting semantics from expanded lexical entries

;(setf *dummy-relations* `(,(vsym "NO_REL") ,(vsym "MESSAGE")))

(defparameter *mrs-to-vit* nil)

(defparameter *mrs-for-language* 'german)

(defparameter *mrs-scoping* nil)
(setf *scoping-call-limit* 100000)

(setf *initial-semantics-path* 
  `(,(vsym "SYNSEM") ,(vsym "LOC") ,(vsym "CONT") ))

(setf *main-semantics-path* 
  `(,(vsym "SYNSEM") ,(vsym "LOC") ,(vsym "CONT") 
    ,(vsym "RELS") ,(vsym "LIST")))

(setf *construction-semantics-path*
  `(,(vsym "C-CONT") ,(vsym "RELS") ,(vsym "LIST")))

(setf *psoa-top-h-path* 
  `( ,(vsym "hook") ,(vsym "ltop")))

(defparameter *psoa-index-path* 
  `( ,(vsym "hook") ,(vsym "INDEX"))
  "path to get an index from a psoa")

(defparameter *psoa-event-path* `(,(vsym "INDEX")))
(defparameter *psoa-liszt-path* `(,(vsym "RELS") ,(vsym "LIST")))
(defparameter *psoa-rh-cons-path* `(,(vsym "HCONS") ,(vsym "LIST")))

(defparameter *rel-handel-path*
    `(,(vsym "LBL"))
  "path to get the handel from a relation")

(defparameter *sc-arg-feature* (vsym "HARG")
  "the feature in a qeq that leads to the first argument")

(defparameter *outscpd-feature* (vsym "LARG")
  "the feature in a qeq that leads to the second argument")

(defparameter *quant-rel-types* nil)

(defparameter *bv-feature* (vsym "ARG0"))

(defparameter *scope-feat* (vsym "BODY"))

(setf *top-semantics-type* 
  (vsym "*sort*"))

(defparameter *rel-name-path* `(,(vsym "PRED") ))


(defparameter *mrs-rule-condition-path* (list (vsym "CONTEXT")))


;;; types for variable naming in mrsoutput

(defparameter *event-type* (vsym "event"))
(defparameter *event_or_index-type* (vsym "individual"))
(defparameter *non_expl-ind-type* (vsym "ref-ind"))
(defparameter *handle-type* (vsym "handle"))
(defparameter *ref-ind-type* (vsym "ref-ind"))
(defparameter *deg-ind-type* (vsym "deg-ind"))


;;; the following are needed only for the detection of fragments
;;; indicated in the LinGO gramar by the value of ROOT

(setf *root-path* `(,(vsym "ROOT")))

(setf *false-type* (vsym "-"))

(setf *true-type* (vsym "+"))

; DPF Upped from 100 to 200
; DPF 1-Jul-03 Upped from 200 to 500 due to treatment of unspec_loc_rel for
; e.g. free relatives.  Maybe should make this generic rel more specific.
;(setf *maximum-genindex-relations* 500)

(defparameter *slash-semantics-path* 
    `(,(vsym "SYNSEM") ,(vsym "NONLOC") 
      ,(vsym "_SLASH") ,(vsym "LIST") ,(vsym "FIRST") 
      ,(vsym "CONT"))
  "This path is used for filtering the edges in the generator to improve efficiency")



(setf %mrs-extras-filter%
  ;;
  ;; _fix_me_
  ;; even without the full SEMI, we should compute these.  (21-nov-03; oe)
  ;;
  (list
   (cons (mrs::vsym "PNG") (mrs::vsym "p-n-g"))
   (cons (mrs::vsym "MASS-UNIT") (mrs::vsym "bool"))
   (cons (mrs::vsym "--PSV") (mrs::vsym "bool"))
   (cons (mrs::vsym "--TPC") (mrs::vsym "tpc"))
   (cons (mrs::vsym "E.STATIVE") (mrs::vsym "bool"))
   (cons (mrs::vsym "E.PERFECTIVE") (mrs::vsym "bool"))
   (cons (mrs::vsym "E.TENSE") (mrs::vsym "tense"))
   (cons (mrs::vsym "E.MOOD") (mrs::vsym "mood"))
   ))





;(setf *no-inst-arg-roles* `(DIM))


; (defvar *var-extra-conversion-table*
; '(
;    ((png.gen fem) . (gender f))
;    ((png.gen masc) . (gender m))
;    ((png.gen andro) . (gender m-or-f))
;    ((png.gen neut) . (gender n))

;    ((png.pn 1s) . (AND (pers 1) (num sg)))
;    ((png.pn 2s) . (AND (pers 1) (num sg)))
;    ((png.pn 3s) . (AND (pers 3) (num sg)))


;    ((png.pn 1p) . (AND (pers 1) (num pl)))
;    ((png.pn 2p) . (AND (pers 1) (num pl)))
;    ((png.pn 3p) . (AND (pers 3) (num pl)))

;    ((png.pn 1per) .  (pers 1))
;    ((png.pn 2per) .  (pers 2))
;    ((png.pn 3per) .  (pers 3))

;    ((e.tense basic_tense) . (tense u))
;    ((e.tense no_tense) . (tense u))
;    ((e.tense nontense) . (tense u))
;    ((e.tense future) . (tense future))
;    ((e.tense present) . (tense present))
;    ((e.tense past) . (tense past))
; ;;;  ((e.tense nonpresent) . (tense non-present))
;    ((e.tense nonpresent) . (tense u))
;    ;;; my version of the DTD doesn't have `non-present'
;    ;;; replace this with line above if using a DTD that does
;    ((e.tense nonpast) . (tense non-past))

;   ;;; note the interpretation is intended to be that the
;   ;;; first match is taken.  For RMRS->MRS conversion, there's
;   ;;; a sl problem in that nontense and no_tense are
;   ;;; both possible values corresponding to (tense u)
;   ;;; and that this also corresponds to the `don't know'
;   ;;; case.  We therefore need to translate the RMRS `u'
;   ;;; into `basic_tense'




;;   ))

;(defparameter *var-extra-mrs-compiled-table*
;    (compile-var-extra-table *var-extra-conversion-table* nil))


